#!/bin/bash

LOG=/root/run.log
echo "*********************************starting compilation *****************************************"
make -j10 uinstall modules | tee -a ${LOG}

make -j10 INSTALL_MOD_STRIP=1 modules_install | tee -a ${LOG}
make -j10 headers_install firmware_install  | tee -a ${LOG}

RELEASE=`make kernelrelease`
echo "release is ${RELEASE} ..."
update-initramfs -c -k ${RELEASE}  | tee -a ${LOG}

mkimage -A arm -O linux -T ramdisk -C none -a 0 -e 0 -n "ubuntu-precise-${RELEASE}" -d /boot/initrd.img-${RELEASE} /boot/uInitrd-${RELEASE}  | tee -a  ${LOG}
cp -v /boot/vmlinuz-${RELEASE} /boot/uImage-${RELEASE} | tee -a ${LOG}
echo "*********************************ending compilation ******************************************" 
